{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('/css/parts.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}
    <form action="{{ path(route) }}" style="display: flex;">
        <input
            type="hidden"
            name="page"
            value="1"
        >
        {% for key in filters|keys %}
            {% if (key != search_name) %}
                <input
                    type="hidden"
                    name="{{ key }}"
                    value="{{ filters[key] }}"
                >
            {% endif %}
        {% endfor %}
        <input
            id="search-input"
            type="search"
            name="{{ search_name }}""
            value="{{ search }}"
            class="form-control"
            placeholder="Search..."
            aria-label="Search"
        >
        <button id="magnifying-glass-button" class="icon-link" type="submit">
            <i id="magnifying-glass-icon" class="fa-solid fa-magnifying-glass"></i>
        </button>
    </form>
{% endblock %}
